# Test: Menu item with empty string command target
# Expected: FAIL
# Error code: custom
# Error path: agent.menu[0].action
# Error message: agent.menu[].action must be a non-empty string

agent:
  metadata:
    id: empty-command
    name: Empty Command Target
    title: Empty Command
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  menu:
    - trigger: help
      description: Show help
      action: "   "
